org.eclipse.net4j.util.concurrent

## Interface MonitoredThread.ThreadMonitor

- All Known Implementing Classes:
    MonitoredThread.MultiThreadMonitor
  Enclosing class:
    MonitoredThread

      public static interface MonitoredThread.ThreadMonitor

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleFinished(MonitoredThread thread)`
    `void` | `handleStarting(MonitoredThread thread)`

- - ### Method Detail

    - #### handleStarting

          void handleStarting(MonitoredThread thread)

    - #### handleFinished

          void handleFinished(MonitoredThread thread)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html